% higher version required for custom bar lines
\version "2.19.52"

% automatic lyric extenders
\include "autoextenders.ily"

% layout defaults
\layout {
    ragged-right = ##f % fill lines, even with one-line snippets
    \context {
        \Lyrics
        \override LyricExtender.minimum-length = #0 % show extenders in all cases
    }
}

% Changing the lyric font (should match that of the document)
\paper  {
    #(define fonts
         (make-pango-font-tree "Times New Roman"
             "Nimbus Sans"
             "Luxi Mono"
             (/ staff-height pt 20)))
}

% asterisk to mark joining in antiphons, defined conditionally so that a
% version without the asterisk is also possible
#(if (not (defined? 'aster))
     (define aster #{ \set stanza = \markup "*" #}))

% special commands for use with chant
phrase = { \once \override LyricText.self-alignment-X = #LEFT }

chant = { 
    \set Score.timing = ##f
    \omit Stem
} 

timeless = \with {
    \remove "Time_signature_engraver" }

% slightly larger tick bar line (divisio minima)
#(define ((make-custom-tick-bar-line x y) grob extent)
     "Draw a tick bar line."
     (let* ((staff (ly:staff-symbol-staff-space grob))
            (staff-line-thickness (ly:staff-symbol-line-thickness grob))
            (height (interval-end extent)))
         (bar-line::draw-filled-box
          (cons 0 (+ x staff-line-thickness))
          (cons (- height staff x) (+ height staff x))
          staff-line-thickness
          extent
          grob)))

#(add-bar-glyph-print-procedure "'" (make-custom-tick-bar-line 0.1 0.1))

% half bar line (divisio minor)
#(define ((make-custom-half-bar-line x y) grob extent)
     "Draw a half bar line."
     (let* ((half-staff (* 1/2 (ly:staff-symbol-staff-space grob)))
            (staff-line-thickness (ly:staff-symbol-line-thickness grob))
            (height (interval-end extent)))
         (bar-line::draw-filled-box
          (cons 0 (+ x staff-line-thickness))
          (cons (- height (* 7 half-staff) x) (- height half-staff x))
          staff-line-thickness
          extent
          grob)))

#(add-bar-glyph-print-procedure "/" (make-custom-half-bar-line 0.1 0.1))

#(define-bar-line "/" "/" #f #f)

% pronoun gender selection
\tagGroup #'(male female neutral)
heshe = \lyricmode {
    \tag #'male { he }
    \tag #'female { she }
    \tag #'neutral { he/she }
}

hisher = \lyricmode {
    \tag #'male { his }
    \tag #'female { her }
    \tag #'neutral { his/her }
}

himher = \lyricmode {
    \tag #'male { him }
    \tag #'female { her }
    \tag #'neutral { him/her }
}

% extra bar lines
\defineBarLine "[" #'("" "[" "")
\defineBarLine "]" #'("]" "" "")
